﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Seminar02a
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void textBoxInput_TextChanged(object sender, TextChangedEventArgs e)
        {
            string s = textBoxInput.Text;
            int x = 0;
            int y = 0;
            char op = ' ';
            for (int i = 0; i < s.Length; i++)
            {
                if (s[i] >= '0' && s[i] <= '9')
                {
                    x = 10 * x + s[i] - '0';
                }

                if (i == s.Length-1 || s[i] == '+' || s[i] == '-' || s[i] == '*' || s[i] == '/')
                {
                    switch (op)
                    {
                        case '+':
                            y += x;
                            break;
                        case '-':
                            y -= x;
                            break;
                        case '*':
                            y *= x;
                            break;
                        case '/':
                            y /= x;
                            break;
                        case ' ':
                            y = x;
                            break;
                    }
                    op = s[i];
                    x = 0;
                }
            }

            labelOutput.Content = y.ToString();
        }
    }
}
